Error when refreshing 'outdated user espace' 

Error when refreshing 'outdated user espace' 

  
Hi, 
For some reason all of my espaces have a warning about an outdated user espace-probably since I re-published system components in service center. When I try to refresh the references, an "internal error" occurs and stops the process. 

Please see attached

Any help would be appreciated.

Thanks,
Fadi
Here is another screenshot of the error, thanks.
Fadi,

First thing is click on that Submit Feedback button :)

You need to provide a little bit more info. What version are you using? How did you publish System Components? Are you upgrading your environment? Did you publish an already uploaded version?

After you publish System Components, and on an upgrade scenario you'll need to publish all your eSpaces as indicated in the installation checklist. To do this you can create a solution with everything and publish the running version of that solution.


Haha, I definitely did "submit feedback" to OutSystems. I am using the PE, the reason I republished "system components" was because it was a recommendation to fix the ECT problem. 
 
I don't mind re-creating the Espaces I have, it's just that even when I create a new Espace module it has the same error requesting me to update references. I assume my applications are pointing to the old "user" Espace, and not the newly published one? If so, how would I change that?
Did you publish Version 8.0.1.5 or the running version?
I believe so, please see attached - do you think I should publish again?
I republished everything in System Components to Version 8.0.1.5 and it fixed the problem (Not sure why they reverted to 8.0.1.3, I thought they should have all been updated.

Thanks for the help!